#version 330 core

in vec2 v_texcoord;
in float v_opacity;

out vec4 frag_color;

uniform sampler2D u_image;

void main() {
    vec4 color = texture(u_image, v_texcoord);
    color.a *= v_opacity;
    frag_color = color;
}
